when {git2r} | R Documentation

## When

### Description

Help method to extract the time as a character string from a git_commit, git_signature, git_tag and git_time object.

### Usage

    when(object)

### Arguments

`object` | the `object` to extract the time slot from.

### Value

A `character` vector of length one.

### Examples

    ## Not run:
    ## Initialize a temporary repository
    path <- tempfile(pattern="git2r-")
    dir.create(path)
    repo <- init(path)

    ## Create a first user and commit a file
    config(repo, user.name="Alice", user.email="alice@example.org")
    writeLines("Hello world!", file.path(path, "example.txt"))
    add(repo, "example.txt")
    commit(repo, "First commit message")

    ## Create tag
    tag(repo, "Tagname", "Tag message")

    when(commits(repo)[[1]])
    when(tags(repo)[[1]])

    ## End(Not run)

[Package git2r version 0.23.0 Index]